/*------------------------------------*\
    #PAGINATION
\*------------------------------------*/
/**
 * A pageination for news and content elements.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

// We use these to control the pagination container
$pagination-height: 30px;
$pagination-margin: rem-calc(-5);

$pagination-li-height: 30px;
$pagination-li-font-color: $frs-color-grey;
$pagination-li-font-size: $frs-base-font-size;
$pagination-li-margin: rem-calc(5) !default;

// We use these for the pagination anchor links
$pagination-link-pad: rem-calc(1 10 1);
$pagination-link-font-color: $frs-color-grey;
$pagination-link-active-bg: $frs-color-blue;

// We use these for disabled anchor links
$pagination-link-unavailable-cursor: default !default;
$pagination-link-unavailable-font-color: $aluminum !default;
$pagination-link-unavailable-bg-active: transparent !default;

// We use these for currently selected anchor links
$pagination-link-current-background: $frs-color-blue;
$pagination-link-current-font-color: $frs-color-white;
$pagination-link-current-font-weight: $font-weight-bold;
$pagination-link-current-active-bg: $frs-color-blue;

.#{$inuit-namespace}paginationcontainer,
%#{$inuit-namespace}paginationcontainer {
    text-align: center;
}

.#{$inuit-namespace}pagination,
%#{$inuit-namespace}pagination {
    @include pagination-container(true);
    text-align: center;
    clear: left;
    margin-bottom: 20px;

    &__list {
        @include pagination($center: true);
        position: relative;
        a {
            border: 1px solid $frs-color-light-grey;
            display: inline-block;
            padding: 5px 10px;
            text-decoration: none;
            width: auto;

            &:hover {
                transition: all .2s ease-in-out;
                background-color: $pagination-link-active-bg;
                color: $pagination-link-current-font-color;
            }
        }
        li {
            color: #554f4a;
            font-size: 17px;
            height: 30px;
            margin-left: 0.3125rem;
            a,
            button {
                -webkit-transition: background-color 300ms ease-out;
                transition: background-color 300ms ease-out;
                background: none;
                display: block;
                font-size: 1em;
                font-weight: normal;
                line-height: inherit;
            }
            &:hover a,
            a:focus,
            &:hover button,
            button:focus {
                background: $frs-color-blue
            }
        }
        .more,
        .less {
            padding: 5px 10px;
        }
        .prev,
        .next {
            margin: 10px auto;
            width: 166px;
            display: block;

            @media #{$medium} {
                display: inline-block;
                margin: 0;
            }
        }

        li.unavailable {
            a,
            button {
                cursor: default;
                color: #999;
                pointer-events: none
            }
            &:hover a,
            a:focus,
            &:hover button,
            button:focus {
                background: transparent
            }
        }
        .current {
            background: $frs-color-blue;
            color: #fff;
            cursor: default;
            font-weight: bold
        }
    }
}
.o-cms-content__body .c-pagination__list .prev,
.o-cms-content__body .c-pagination__list .next {
    position: relative;
    background-color: transparent;
    width: auto;
    height: auto;
    overflow: hidden;
    display: inline-block;
    color: $frs-color-blue;
    left: 0;
    cursor: pointer;
    line-height: 2.25rem;
    font-size: 100%;
    font-weight: normal;
    display: inline-block;
    top: 0.8rem;
    line-height: 1.6rem;
}

.o-cms-content__body .c-pagination__list .prev:hover,
.o-cms-content__body .c-pagination__list .next:hover {
    background-color: $frs-color-blue;
    color: #fff;
}
.c-pagination__list a,
.c-pagination__list span {
    display: inline-flex;
}
@media only screen and (max-width: 45em){
    .o-cms-content__body .c-pagination__list .prev, .o-cms-content__body .c-pagination__list .next {
        left: auto;
        display: inline-flex;
        top: auto;
    }
}
.c-pagination__list .prev, .c-pagination__list .next {
    display: inline-flex;
    margin: 0px;
}
@media only screen and (max-width: 45em){
    .c-pagination__list .prev, .c-pagination__list .next {
        line-height: 1.4rem !important;
    }
}
@media only screen and (max-width: 35em){
    .c-pagination__list .prev, .c-pagination__list .next {
        display: table !important;
        width: 160px !important;
        margin: 0px auto !important;
    }
    .c-pagination__list .prev {
        margin-bottom: 6px !important;
    }
    .c-pagination__list .next {
        margin-top: 6px !important;
    }
}

